

%define _cmake_skip_rpath -DCMAKE_SKIP_RPATH:BOOL=OFF
%define kwin4_effect_builtins_major 1
%define libkwin4_effect_builtins %mklibname kwin4_effect_builtins %{kwin4_effect_builtins_major}
%define kwineffects_major 5
%define libkwineffects %mklibname kwineffects %{kwineffects_major}
%define kwinglutils_major 5
%define libkwinglutils %mklibname kwinglutils %{kwinglutils_major}
%define kwinxrenderutils_major 5
%define libkwinxrenderutils %mklibname kwinxrenderutils %{kwinxrenderutils_major}
%define kwin_major 5
%define libkwin %mklibname kwin %{kwin_major}
%define kwin_devel %mklibname kwin -d

Summary:        Plasma 5 Window Manager
Name:           kwin
Version: 		5.27.11
Release:        %mkrel 2
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:        plasma-popupapplet.desktop
Source2:        fixkde
URL:            https://www.kde.org/

BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  lib64plasma-wayland-protocols-devel
BuildRequires:  lib64xcvt-devel
BuildRequires:  hwdata
BuildRequires:  xcb-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  mesa-devel
BuildRequires:  kirigami-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64xkbcommon-devel
BuildRequires: lib64xcursor-devel
BuildRequires: lib64xcb-util-cursor-devel
BuildRequires: lib64sm-devel
BuildRequires: lib64epoxy-devel
BuildRequires: lib64kf5breeze-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

BuildRequires:  kactivities5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kinit-devel
BuildRequires:  kservice-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kwindowsystem-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knewstuff-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kwayland-devel
BuildRequires:  kscreenlocker-devel
BuildRequires:  lib64kf5krunner-devel
BuildRequires:  lib64qt5fontdatabasesupport-static-devel
BuildRequires:  lib64qt5themesupport-static-devel
BuildRequires:  lib64qt5servicesupport-static-devel
BuildRequires:  lib64qt5eventdispatchersupport-static-devel
BuildRequires:  lib64qt5eglsupport-static-devel

Requires:       kinit
Requires:       kactivitymanagerd
Requires:       task-pipewire
Requires:       kpipewire

%description
Plasma 5 Window Manager

%files
/*

%exclude %_kf5_prefix/include/*.h
%exclude %_kf5_libdir/*.so
%exclude %_kf5_libdir/cmake/KWinDBusInterface
%exclude %_kf5_libdir/cmake/KWinEffects/KWinEffectsConfig.cmake
%exclude %_kf5_libdir/cmake/KWinEffects/KWinEffectsConfigVersion.cmake
%exclude %_kf5_libdir/cmake/KWinEffects/KWinEffectsTargets-relwithdebinfo.cmake
%exclude %_kf5_libdir/cmake/KWinEffects/KWinEffectsTargets.cmake
%exclude %_docdir/HTML

%package -n %kwin_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %kwin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwin_devel
%_kf5_prefix/include/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KWinDBusInterface
%_kf5_libdir/cmake/KWinEffects/KWinEffectsConfig.cmake
%_kf5_libdir/cmake/KWinEffects/KWinEffectsConfigVersion.cmake
%_kf5_libdir/cmake/KWinEffects/KWinEffectsTargets-relwithdebinfo.cmake
%_kf5_libdir/cmake/KWinEffects/KWinEffectsTargets.cmake
#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML
#------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir"  -DBUILD_TESTING=OFF

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

mv %buildroot%{_datadir}/kservicetypes5/kwindecoration.desktop %buildroot%{_datadir}/kservicetypes5/kwin-decoration.desktop
mv %buildroot%{_datadir}/kservicetypes5/kwineffect.desktop %buildroot%{_datadir}/kservicetypes5/kwin-effect.desktop
mv %buildroot%{_datadir}/kservicetypes5/kwinscript.desktop %buildroot%{_datadir}/kservicetypes5/kwin-script.desktop

# temporary
install %SOURCE1 %buildroot%{_datadir}/kservicetypes5/plasma-popupapplet.desktop
ln -s kwin_x11 %{buildroot}%{_bindir}/kwin

install -m 0755 %SOURCE2 %{buildroot}%{_bindir}/fixkde

#drop
rm -f %buildroot/usr/lib/systemd/user/plasma-kwin_wayland.service
rm -f %buildroot/usr/lib/systemd/user/plasma-kwin_x11.service

%changelog
* Thu Mar 14 2024 tex - 5.26.11-2pclos2024
- require task-pipewire

* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

